using MotorPlantContracts.BindingModels;
using MotorPlantContracts.SearchModels;
using MotorPlantContracts.ViewModels;

namespace MotorPlantContracts.StoragesContracts
{
    public interface IEngineStorage
    {
        List<EngineViewModel> GetFullList();
        List<EngineViewModel> GetFilteredList(EngineSearchModel model);
        EngineViewModel? GetElement(EngineSearchModel model);
        EngineViewModel? Insert(EngineBindingModel model);
        EngineViewModel? Update(EngineBindingModel model);
        EngineViewModel? Delete(EngineBindingModel model);
    }
}
